%define major 0
%define libname %mklibname %{name}_ %{major}
%define develname %mklibname %{name} -d

Summary:	Encoder and decoder of the ITU G.729 Annex A/B speech codec
Name:		bcg729
Version:	1.0.4
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Libraries
URL:		https://linphone.org/
Source0:	https://linphone.org/releases/sources/bcg729/bcg729-%{version}.tar.xz
Patch0:     bcg729-fix-pkgconfig.patch
Patch1:     bcg729-1.0.4-cmake-config-location.patch

BuildRequires:	cmake

%description
Bcg729 is an implementation of both encoder and decoder of the ITU G.729
Annex A/B speech codec.

It supports concurrent channels encoding/decoding for multi call application
such as conferencing,

%package -n	%{libname}
Summary:	Encoder and decoder of the ITU G.729 Annex A/B speech codec
Group:		System/Libraries

%description -n	%{libname}
Bcg729 is an implementation of both encoder and decoder of the ITU G.729
Annex A/B speech codec.

It supports concurrent channels encoding/decoding for multi call application
such as conferencing.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains development files for %{name}

%prep
%setup -q
%apply_patches

%build
%cmake \
  -DENABLE_STATIC:BOOL=NO \
  -DENABLE_STRICT:BOOL=NO \
  -DCONFIG_PACKAGE_LOCATION:PATH=%{_libdir}/cmake/Bcg729
%cmake_build

%install
%cmake_install

find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/Bcg729/
%{_libdir}/pkgconfig/lib%{name}.pc


%changelog
* Wed Sep 09 2020 tex - 1.0.4-2pclos2020
- rebuild against updates

* Tue Sep 08 2020 tex - 1.0.4-1pclos2020
- new version
